<?xml version="1.0" encoding="utf-8" ?>
<IMAGE_GROUP_BOX id="midi_pane" system_widget="true" visible="false" spacing="2" text_color="#aaaaaa">
      <INCLUDE_ONCE file="text_button/text_button.inc"/>
      <DEFINE>  
        <CUS_EDIT_BOX base_type="PARAM_TEXT_EDIT_BOX" width="25" height="14" show_edges="false" background_color="#000000" content="{text_value}"/>
      </DEFINE>

      <CUS_VBLACK_BOX>	
		  <TABLE v_spacing="1" h_spacing="5" text_color="#aaaaaa">
			 <TABLE_ROW>
				<CELL width="50"/>
                <PARAM_TEXT param_id="$peak_value1$" content="{name}" width="80"/>
                <PARAM_TEXT param_id="$rms_value1$" content="{name}" width="80"/>
                <PARAM_TEXT param_id="$trans_value1$" content="{name}" width="80"/>				     
                <PARAM_TEXT param_id="$peak_value2$" content="{name}" width="80"/>
                <PARAM_TEXT param_id="$rms_value2$" content="{name}" width="80"/>
                <PARAM_TEXT param_id="$trans_value2$" content="{name}" width="80"/>					 
             </TABLE_ROW>
			 <TABLE_ROW>
				<CELL height="2"/>
			 </TABLE_ROW>
			 <TABLE_ROW>
				<TEXT value="MIDI Out" h_align="left"/>
					<CELL font_size="-2">
                        <CUS_PARAM_TEXT_BUTTON param_id="midi.output0.enabled" width="25" height="15"/>
					</CELL>
                    <CELL font_size="-2">
                        <CUS_PARAM_TEXT_BUTTON param_id="midi.output1.enabled" width="25" height="15"/>
					</CELL>
                    <CELL font_size="-2">
                        <CUS_PARAM_TEXT_BUTTON param_id="midi.output2.enabled" width="25" height="15"/>
					</CELL>
					<CELL font_size="-2">
                        <CUS_PARAM_TEXT_BUTTON param_id="midi.output10.enabled" width="25" height="15"/>
					</CELL>
                    <CELL font_size="-2">
                        <CUS_PARAM_TEXT_BUTTON param_id="midi.output11.enabled" width="25" height="15"/>
					</CELL>
                    <CELL font_size="-2">
                        <CUS_PARAM_TEXT_BUTTON param_id="midi.output12.enabled" width="25" height="15"/>
					</CELL>
			 </TABLE_ROW>      
			 <TABLE_ROW>
				<TEXT value="Channel" h_align="left"/>
                <CUS_EDIT_BOX param_id="midi.output0.channel"/>
                <CUS_EDIT_BOX param_id="midi.output1.channel"/>
                <CUS_EDIT_BOX param_id="midi.output2.channel"/>			     
                <CUS_EDIT_BOX param_id="midi.output10.channel"/>
                <CUS_EDIT_BOX param_id="midi.output11.channel"/>
                <CUS_EDIT_BOX param_id="midi.output12.channel"/>			     
			 </TABLE_ROW>
			 <TABLE_ROW>
				<TEXT value="CC" h_align="left"/>
                <CUS_EDIT_BOX param_id="midi.output0.cc"/>
                <CUS_EDIT_BOX param_id="midi.output1.cc"/>
                <CUS_EDIT_BOX param_id="midi.output2.cc"/>				 
                <CUS_EDIT_BOX param_id="midi.output10.cc"/>
                <CUS_EDIT_BOX param_id="midi.output11.cc"/>
                <CUS_EDIT_BOX param_id="midi.output12.cc"/>				 
			</TABLE_ROW>
			 <TABLE_ROW>
				<TEXT value="Learn" h_align="left"/>
                
                <PARAM id="learn_out0" type="boolean" default="0" persistent="true"/>
                <PARAM_MULTI_LINK from="learn_out0" to="learn_out0_channel.enabled;learn_out0_cc.enabled"/>
                <PERSISTENT_OBJECTS object_ids="learn_out0_channel.enabled;learn_out0_cc.enabled"/>
                <PARAM_LINK from="midi.last_message.channel" to="midi.output0.channel" enabled="false" id="learn_out0_channel"/>
                <PARAM_LINK from="midi.last_message.cc" to="midi.output0.cc" enabled="false" id="learn_out0_cc"/>
                <CUS_ON_OFF_BUTTON param_id="learn_out0"/>
                
                <PARAM id="learn_out1" type="boolean" default="0" persistent="true"/>
                <PARAM_MULTI_LINK from="learn_out1" to="learn_out1_channel.enabled;learn_out1_cc.enabled"/>
                <PERSISTENT_OBJECTS object_ids="learn_out1_channel.enabled;learn_out1_cc.enabled"/>
                <PARAM_LINK from="midi.last_message.channel" to="midi.output1.channel" enabled="false" id="learn_out1_channel"/>
                <PARAM_LINK from="midi.last_message.cc" to="midi.output1.cc" enabled="false" id="learn_out1_cc"/>
                <CUS_ON_OFF_BUTTON param_id="learn_out1"/>
                
                <PARAM id="learn_out2" type="boolean" default="0" persistent="true"/>
                <PARAM_MULTI_LINK from="learn_out2" to="learn_out2_channel.enabled;learn_out2_cc.enabled"/>
                <PERSISTENT_OBJECTS object_ids="learn_out2_channel.enabled;learn_out2_cc.enabled"/>
                <PARAM_LINK from="midi.last_message.channel" to="midi.output2.channel" enabled="false" id="learn_out2_channel"/>
                <PARAM_LINK from="midi.last_message.cc" to="midi.output2.cc" enabled="false" id="learn_out2_cc"/>
                <CUS_ON_OFF_BUTTON param_id="learn_out2"/> 
                     
                <PARAM id="learn_out10" type="boolean" default="0" persistent="true"/>
                <PARAM_MULTI_LINK from="learn_out10" to="learn_out10_channel.enabled;learn_out10_cc.enabled"/>
                <PERSISTENT_OBJECTS object_ids="learn_out10_channel.enabled;learn_out10_cc.enabled"/>
                <PARAM_LINK from="midi.last_message.channel" to="midi.output10.channel" enabled="false" id="learn_out10_channel"/>
                <PARAM_LINK from="midi.last_message.cc" to="midi.output10.cc" enabled="false" id="learn_out10_cc"/>
                <CUS_ON_OFF_BUTTON param_id="learn_out10"/>
                
                <PARAM id="learn_out11" type="boolean" default="0" persistent="true"/>
                <PARAM_MULTI_LINK from="learn_out11" to="learn_out11_channel.enabled;learn_out11_cc.enabled"/>
                <PERSISTENT_OBJECTS object_ids="learn_out11_channel.enabled;learn_out11_cc.enabled"/>
                <PARAM_LINK from="midi.last_message.channel" to="midi.output11.channel" enabled="false" id="learn_out11_channel"/>
                <PARAM_LINK from="midi.last_message.cc" to="midi.output11.cc" enabled="false" id="learn_out11_cc"/>
                <CUS_ON_OFF_BUTTON param_id="learn_out11"/>
                
                <PARAM id="learn_out12" type="boolean" default="0" persistent="true"/>
                <PARAM_MULTI_LINK from="learn_out12" to="learn_out12_channel.enabled;learn_out12_cc.enabled"/>
                <PERSISTENT_OBJECTS object_ids="learn_out12_channel.enabled;learn_out12_cc.enabled"/>
                <PARAM_LINK from="midi.last_message.channel" to="midi.output12.channel" enabled="false" id="learn_out12_channel"/>
                <PARAM_LINK from="midi.last_message.cc" to="midi.output12.cc" enabled="false" id="learn_out12_cc"/>
                <CUS_ON_OFF_BUTTON param_id="learn_out12"/> 
			</TABLE_ROW>
		</TABLE>
	</CUS_VBLACK_BOX>
</IMAGE_GROUP_BOX>